Description

Couple of bugs with the level warp cheats in HeXen (both VISITxx and warp xx).
1. It currently seems to read both the MAPINFO and Map URI values, with the MAPINFO lump numbers taking priority.
This means warp 32-40 are currently accepted warps by the cheats and take the player to the Maps that use those URI values.

2. HeXen DK currently crashes with an illegal op, when attempting to warp to a non-existing map (for one example, trying to go to
map 21).

Associated revisions

Revision 8e6b6566 - 2015-03-02 23:44 - danij

Fixed: Crash warping to a map without Mapinfo data

Added fallback Maplnfo data to be used as a last resort, when no def
is defined for the current map and the game does not provide its own
fallback definition (associated with URI "Maps:*").

One can now assume that effective Maplinfo data is always available,
irrespective of whether its explicitly defined.

IssuelD #1982

History

#1 - 2015-02-18 14:14 - skyjake
- Tags set to Hexen
- Category set to Regression

- Target version set to 49

#2 - 2015-02-24 10:06 - danij
- Status changed from New to Feedback

- Assignee set to vermil

Can you give some examples of the inputs you are trying that do not take you the map you expected? I've tried to replicate this problem with both
methods and each time was taken to the correct map.

Hexen DK crashing is possibly a seperate issue.

#3 - 2015-02-24 11:01 - danij

Both the VISIT cheat and the warp XX command expect warp numbers. This means that the map you will be taken to is that associated with the given
warp number, as defined in MAPINFO.

If the given warp number is unknown - a URI of the default form for the game mode (in Hexen's case, MAPXX) is tried instead. This is expected
behavior.

#4 - 2015-02-24 11:05 - vermil

I'm not overly surprised this was a deliberate change (versus Vanilla). But | figure it's better to be sure :)

#5 - 2015-02-24 11:15 - danij
So to clarify, 1) is a report concerning behavior that differed from vanilla, rather than being taken to the wrong map?

2) remains to be tested.

#6 - 2015-02-24 11:28 - vermil

1) was basically different behaviour versus Vanilla yes.

Though, perhaps the VISIT cheat should be locked to the MAPINFO numbers though?

I mean, the VISIT cheat is already limited to numbers (i.e rather than half imitate Vanilla, it should perhaps be entirely Vanilla)?

#7 - 2015-02-24 11:51 - danij

The issue with applying special behavior to the VISIT cheat is that these are translated into a warp command automatically. I'd much prefer uniform
behavior than to retain the quirky vanilla logic in one, simply for the sake of replicating it exactly.

(And lets be clear - the effective difference vs vanilla concerns the handling of inputs that previously did nothing, other than warn the user).

#8 - 2015-03-02 19:29 - danij
- Subject changed from [HeXen] Level warp cheat crashes to [Hexen] Crash warping to a map without Mapinfo data
- Status changed from Feedback to In Progress

- Assignee changed from vermil to danij

#9 - 2015-03-02 23:25 - danij
- % Done changed from 0 to 80

#10 - 2015-03-02 23:26 - danij

- Subject changed from [Hexen] Crash warping to a map without Maplnfo data to Crash warping to a map without Mapinfo data

#11 - 2015-03-02 23:45 - danij
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

#12 - 2015-06-08 10:48 - skyjake
- Target version deleted (49)
